Bug 134595 - Curl has IDN support (umlaut domains), should be enabled
Curl has IDN support (umlaut domains), should be enabled
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-10-04 16:43 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 7.12.1-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-06 15:41:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-10-04 16:43:06 EDT
Description of problem:
Curl >= 7.11.2 has IDN support (umlaut domains), especially 
interesting here in Europe, but IDN support currently isn't 
enabled - but it should...

Version-Release number of selected component (if applicable):

Actual results:
No IDN support.

Expected results:
IDN support, the following is working for me:

--- snipp ---
--- curl.spec       2004-09-29 09:05:43.000000000 +0200
+++ curl.spec.rsc   2004-10-04 22:36:09.000000000 +0200
@@ -9,7 +9,7 @@
 Patch1: curl-7.10.4-path.patch
 URL: http://curl.haxx.se/
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
-BuildRequires: openssl-devel, libtool, pkgconfig
+BuildRequires: openssl-devel, libtool, pkgconfig, libidn-devel
 Requires: openssl

@@ -45,7 +45,7 @@
        CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
        LDFLAGS=`pkg-config --libs openssl`; export LDFLAGS
-%configure --with-ssl=/usr --enable-ipv6 --with-ca-bundle=%{_datadir}/ssl/certs/ca-bundle.crt
+%configure --with-ssl=/usr --enable-ipv6 --with-ca-bundle=%{_datadir}/ssl/certs/ca-bundle.crt --with-libidn=/usr

--- snapp ---
Comment 1 Eido Inoue 2004-10-05 15:29:59 EDT
http://www.mötly-crüe.com/ support will be enabled in 7.11.2 in fc3
only (which is the first distro to use libidn).
Comment 2 Robert Scheck 2004-10-05 16:30:59 EDT
Huh...7.11.2...even if curl-7.12.0-4 is in the Development tree? BTW, 
FC3 isn't the first Distribution with libidn, Mandrake IMHO already 
was faster and SuSE & PLD also have partitially libidn support...
Comment 3 Eido Inoue 2004-10-05 17:00:29 EDT
comment 2: sorry. i meant the next version of curl. as for the "first
distro", it wasn't a brag... i meant from the perspective of red hat
distros (implying that older releases will not get libidn added, so
the curl for the older versions will not have this enabled)

Note You need to log in before you can comment on or make changes to this bug.